# Common configuration shared between NixOS and Darwin
{ lib, pkgs, ... }:

{
  config = {
    time.timeZone = "America/Los_Angeles";

    environment.systemPackages = with pkgs; [
      git
      glances
      pciutils
      tree
      usbutils
      vim
    ] ++ lib.optionals pkgs.stdenv.isLinux [
      ghostty.terminfo  # So tmux works when SSH'ing from ghostty
    ];

    nix = {
      package = pkgs.nix;
      settings = {
        experimental-features = [ "nix-command" "flakes" ];
        max-jobs = "auto";
        trusted-users = [ "johno" ];
        substituters = [
        ];
      };

      gc = {
        automatic = true;
        options = "--delete-older-than 10d";
      };
    };

    nixpkgs.config.allowUnfree = true;
  };
}
